commit 0dd0905e2f59c1e8fc1597355f47afb53630cfc9
Author: Patrick Palka <ppalka@redhat.com>
Date:   Fri May 21 06:05:18 2021

    libstdc++: Implement LWG 3490 change to drop_while_view::begin()
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/100606
            * include/std/ranges (drop_while_view::begin): Assert the
            precondition added by LWG 3490.
    
    (cherry picked from commit 11784fe27d879a10dc8a79212c37f50d4f7146f3)

diff --git a/libstdc++-v3/include/std/ranges b/libstdc++-v3/include/std/ranges
index 3ef352949df..4e01ef57401 100644
--- a/libstdc++-v3/include/std/ranges
+++ b/libstdc++-v3/include/std/ranges
@@ -2389,6 +2389,7 @@ namespace views::__adaptor
 	if (_M_cached_begin._M_has_value())
 	  return _M_cached_begin._M_get(_M_base);
 
+	__glibcxx_assert(_M_pred.has_value());
 	auto __it = __detail::find_if_not(ranges::begin(_M_base),
 					  ranges::end(_M_base),
 					  std::cref(*_M_pred));

